aboutsummaryrefslogtreecommitdiff
path: root/development/ghex/ghex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/ghex/ghex.SlackBuild')
-rw-r--r--development/ghex/ghex.SlackBuild98
1 files changed, 98 insertions, 0 deletions
diff --git a/development/ghex/ghex.SlackBuild b/development/ghex/ghex.SlackBuild
new file mode 100644
index 000000000000..5dbc89696dc0
--- /dev/null
+++ b/development/ghex/ghex.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for ghex
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Although upstream describes this as "a hex editor for GNOME", it has
+# no gnome dependencies (just GTK3). Previous versions (2.x) did depend
+# on gnome so I never wanted to package them...
+
+PRGNAM=ghex
+VERSION=${VERSION:-3.18.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Fix the .docbook help files so they work with 14.2's docbook,
+# and so they don't cause docbook2html to connect to a remote site.
+# DTD may have to change for some future Slackware release.
+DTD="/usr/share/xml/docbook/xml-dtd-4.5/docbookx.dtd"
+sed -i \
+ -e '/<xi:include.*legal/s,.*,\&legal;,' \
+ -e '/docbookx.dtd/a <!ENTITY legal SYSTEM "legal.xml">' \
+ -e 's,"http://www\.oasis.*dtd","'$DTD'",' \
+ help/*/index.docbook
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --strip \
+ build
+
+DESTDIR="$PKG" ninja -C build install
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a AUTHORS COPYING* HACKING NEWS README $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+# Generate the HTML help, for those who don't want to install yelp.
+docbook2html -u -o $PKGDOC/html/ $PKG/usr/share/help/C/$PRGNAM/index.docbook
+ln -s ../../../share/help/C/$PRGNAM/figures $PKGDOC/html/
+
+# Man page is fairly useless, include it anyway (from Debian).
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}